SUMMARY = "libbpf"
DESCRIPTION = "libbpf"
LICENSE = "CLOSED"
PROVIDES = "virtual/libbpf"

DEPENDS += "elfutils"

RDEPENDS_${PN}   += "elfutils glibc"

inherit kernelsrc kernel-arch manpages

do_populate_lic[depends] += "virtual/kernel:do_shared_workdir"

EXTRA_OEMAKE = '\
             V=1 \
             -C ${S}/samples/bpf O=${B} \
             CROSS=${TARGET_PREFIX} \
             CC="${CC}" \
             LD="${LD}" \
             AR="${AR}" \
             ARCH=${ARCH} \
             EXTRA_CFLAGS="-O2 -Wl,--hash-style=gnu" \
             '


TARGET_CC_ARCH += "${LDFLAGS}"

PACKAGE_ARCH = "${MACHINE_ARCH}"

B = "${WORKDIR}/${BPN}-${PV}"

do_install() {

}

do_configure[depends] += "virtual/kernel:do_shared_workdir"

do_compile() {
    oe_runmake
}


python do_package:prepend() {
    d.setVar('PKGV', d.getVar("KERNEL_VERSION", True).split("-")[0])
}


PACKAGE_ARCH = "${MACHINE_ARCH}"

INHIBIT_PACKAGE_DEBUG_SPLIT = "1"
